# CustomNamedMediaFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files.abstracts / CustomNamedMediaFile

# CustomNamedMediaFile

(common) `interface CustomNamedMediaFile` (source)

### Properties

(common)

#### fileName

`abstract val fileName: String?`

### Inheritors

(common)

#### AnimationFile

`data class AnimationFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, PlayableMediaFile, CustomNamedMediaFile, SizedMediaFile`

(common)

#### DocumentFile

`data class DocumentFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, CustomNamedMediaFile`